## org.apache.mahout.clustering.iterator
Class CanopyClusteringPolicy

    java.lang.Object
      org.apache.mahout.clustering.iterator.AbstractClusteringPolicy
          org.apache.mahout.clustering.iterator.CanopyClusteringPolicy

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, ClusteringPolicy

    public class CanopyClusteringPolicy

extends AbstractClusteringPolicy

This is a simple maximum likelihood clustering policy, suitable for k-means clustering

Constructor Summary
`CanopyClusteringPolicy()`

Method Summary
`void` `readFields(DataInput in)`
`Vector` `select(Vector probabilities)` Return a vector of weights for each of the models given those probabilities
`void` `write(DataOutput out)`

Methods inherited from class org.apache.mahout.clustering.iterator.AbstractClusteringPolicy
`classify, close, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CanopyClusteringPolicy

    public CanopyClusteringPolicy()

Method Detail

### select

    public Vector select(Vector probabilities)

  Description copied from interface: `ClusteringPolicy`
  Return a vector of weights for each of the models given those probabilities

  Specified by:
    `select` in interface `ClusteringPolicy`
  Overrides:
    `select` in class `AbstractClusteringPolicy`
  Parameters:
    `probabilities` - a Vector of pdfs
  Returns:
    a Vector of weights

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Specified by:
    `write` in class `AbstractClusteringPolicy`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Specified by:
    `readFields` in class `AbstractClusteringPolicy`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.